/* remain */
body {
  position: relative;
  margin: 0;
  font-family: "Poppins", sans-serif;
  background-color: #f4f4f4;
}

/* remain */
body::before {
  content: "";
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  background-image: url("../images/courses-background.webp");
  background-size: cover;
  background-position: center;
  opacity: 0.3;
  z-index: -1;
  pointer-events: none; /* Ensure background doesn't interfere with clicks */
  /* top: 0;
      left: 0; */
  /* background-attachment: fixed; */
}

/* use for seperate the column */
.course-wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  padding: 2% 20px;
  margin-left: 40px;
  margin-right: 40px;
}

.overview-wrapper {
  margin-top: 20px;
  margin-left: 60px;
  margin-right: 60px;
}

/* remain */
header {
  background-color: white;
  padding: 10px 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.course-content {
  margin-right: 2%;
}

.desktop-png {
  width: 80%;
  height: auto;
  object-fit: cover;
  margin: 0 auto;
  border-radius: 50px;
}

.image-row {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
  background: white;
  border: 2px dashed #000;
  padding: 10px;
  box-sizing: border-box;
  align-items: center;
}

/* remain */
.course-title {
  text-align: center;
  font-size: 25px;
  font-weight: 800;
  /*top right bottom left*/
  padding: 10px 20px 10px 20px;
  border-radius: 50px;
  background-color: #3e88e8;
  width: fit-content;
  margin: 0 auto;
  margin-top: 15px;
}

/* overview p */
.course-desc {
  /* font and color */
  background-color: #bfc0c0;
  /* align */
  border-radius: 20px;
  margin-top: 10px;
  margin-right: 2%;
  padding-top: 30px;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 30px;
}

/* overview title */
.course-title-overview {
  /* font and color */
  font-weight: 600;
  color: white;
  background: #2c2c2c;
  /* align */
  width: 95%;
  text-align: center;
  border-radius: 10px;
  padding: 10px;
}

/* the white box */
.column {
  background: white;
  border: 2px dashed #000;
  padding: 15px;
  margin-top: 1px;
  margin-bottom: 1px;
  box-sizing: border-box;
  justify-content: center;
  align-items: center;
}

/* unorder list align */
.column ul {
  padding-left: 20px;
  margin-top: 10px;
}

/* remain */
.register-btn {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;

  padding: 15px;
  border-radius: 100px;

  font-size: 18px;
  font-weight: 800;
  color: white;

  background: linear-gradient(90deg, #10c7b9, #1f86d7, #2c64d9);

  overflow: hidden;

  /* circle -> pill animation */
  transform: scale(0);
  animation:
    expandBtn 0.8s ease-out forwards,
    flipBtn 1s ease-in-out 1s forwards;
}

/* shine layer */
.register-btn::after {
  content: "";
  position: absolute;
  top: 0;
  right: -120%;
  width: 80%;
  height: 100%;

  background: linear-gradient(
    120deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.7) 50%,
    rgba(255, 255, 255, 0) 100%
  );

  transform: skewX(-20deg);

  /* start after button expand */
  animation: shineMove 5s infinite;
  animation-delay: 1.5s;
}

/* expand animation */
@keyframes expandBtn {
  0% {
    transform: scale(0);
    border-radius: 50%;
  }

  60% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
    border-radius: 9999px;
  }
}

/* pill → flip */
@keyframes flipBtn {
  0% {
    transform: rotateX(0deg);
  }

  100% {
    transform: rotateX(360deg);
  }
}

/* shine animation */
@keyframes shineMove {
  0% {
    right: 120%;
  }

  100% {
    right: -120%;
  }
}

/* remain */
.back-button {
  background-color: #4169e1;
  color: white;
  padding: 8px 16px;
  border-radius: 20px;
  text-decoration: none;
  font-size: 14px;
  font-weight: 600;
  display: inline-block;
  box-shadow: 3px 3px 1px #2a2a2a;
  transition: all 0.2s ease;
}

.back-button:active {
  transform: translateY(3px);
  box-shadow: 0px 0px 0px #2a2a2a;
}

.mb-btn {
  display: none;
}

.dk-btn-div {
  text-align: center;
  margin-top: 10px;
  margin-right: 10px;
}

.dk-btn {
  width: 90%;
}

/* ---- */

.course-image {
  width: 35%;
  height: auto;
  object-fit: cover;
  border-radius: 50px;
}

.fa-file {
  color: #fff;
  font-size: 22px;
}

/* general grex box for mobile */
#column-first-div {
  /* font and color */
  font-weight: 600;
  background: #2c2c2c;
  color: white;
  /* align */
  text-align: center;
  border-radius: 10px;
  padding: 10px;
}

#column-first-p {
  /* font and color */
  font-size: 17px;
  background-color: #bfc0c0;
  /* align */
  text-align: justify;
  border-radius: 20px;
  margin-top: 10px;
  padding-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
}

#column-second-div {
  /* font and color */
  font-size: 18px;
  font-weight: 600;
  color: white;
  background: #2c2c2c;
  /* align */
  text-align: center;
  border-radius: 10px;
  padding: 10px;
}

#column-second-p {
  /* font and color */
  font-size: 17px;
  background-color: #bfc0c0;
  /* align */
  text-align: justify;
  border-radius: 20px;
  margin-top: 10px;
  padding-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
}

#column-third-div {
  /* font and color */
  font-size: 18px;
  font-weight: 600;
  color: white;
  background: #2c2c2c;
  /* align */
  text-align: center;
  border-radius: 10px;
  padding: 10px;
}

#column-third-p {
  /* font and color */
  font-size: 17px;
  background-color: #bfc0c0;
  /* align */
  text-align: justify;
  border-radius: 20px;
  margin-top: 10px;
  padding-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
}

#column-fourth-div {
  /* font and color */
  font-size: 18px;
  font-weight: 600;
  color: white;
  background: #2c2c2c;
  /* align */
  text-align: center;
  border-radius: 10px;
  padding: 10px;
}

#column-fourth-p {
  /* font and color */
  font-size: 17px;
  background: #bfc0c0;
  /* algin */
  text-align: justify;
  margin-top: 10px;
  border-radius: 20px;
  padding-top: 10px;
  padding-left: 20px;
  padding-right: 20px;
}

/* hide this two */
.column-first {
  display: none;
}

.mobile-png {
  display: none;
}

/* spereate to half or mobile view */
@media (max-width: 1440px) {
  .overview-wrapper {
    /* hide with space */
    display: none;
  }

  .course-wrapper {
    grid-template-columns: 1fr;
    margin-left: 3px;
    margin-right: 3px;
  }

  .course-title {
    padding: 5px 15px;
  }

  .mobile-png {
    position: relative;
    display: flex;
    width: 55%;
    height: auto;
    object-fit: cover;
    border-radius: 30px;
    margin: 0 auto;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .column-first {
    display: block;
  }

  .outcome-column {
    grid-row: auto;
  }

  .mb-title {
    display: block;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }

  .mb-btn {
    display: inline-flex;
    width: 90%;
  }

  #column-first-p,
  #column-second-p,
  #column-third-p,
  #column-fourth-p {
    height: auto;
    padding-bottom: 20px;
  }
}

/* normal screen */
@media (max-width: 480px) {
  .course-title {
    font-size: 18px;
  }
}

@media (min-width: 1441px) {
  .course-title {
    font-size: clamp(18px, 3vw, 25px);
    margin-bottom: 20px;
  }

  .course-title-overview {
    font-size: clamp(16px, 2vw, 21px);
    margin-bottom: 20px;
  }

  .course-desc {
    font-size: clamp(12px, 1.3vw, 17px);
  }
  .mb-title {
    display: none;
  }

  .desktop-png {
    width: 600px;
    height: 400px;
    object-fit: cover;
    margin: 0 auto;
    border-radius: 50px;
  }

  #column-second-p {
    height: 240px;
  }

  #column-third-p {
    height: 240px;
  }

  #column-fourth-p {
    height: 245px;
  }
}

@media (min-width: 1900px) {
  .course-title {
    font-size: clamp(20px, 3vw, 33px);
    margin-bottom: 20px;
  }

  .course-title-overview {
    font-size: clamp(18px, 2vw, 26px);
    margin-bottom: 20px;
  }

  .course-desc {
    font-size: clamp(14px, 1.3vw, 20px);
  }
  .mb-title {
    display: none;
  }

  .desktop-png {
    width: 750px;
    height: 400px;
    object-fit: cover;
    margin: 0 auto;
    border-radius: 50px;
  }

  #column-second-p,
  #column-third-p {
    height: 190px;
  }

  #column-fourth-p {
    height: 200px;
  }
}
